Intrusion Prevention

Jenkins.Git.Client.Remote.Command.Injection

Description

This indicates an attack attempt to exploit a Command Injection Vulnerability in Jenkins Git Client Plugin.
A remote attacker with the Job/Configure permission can exploit this vulnerability by sending a crafted request to the target server. Successful exploitation could allow arbitrary code execution.

Affected Products

Jenkins Git Client Plugin prior to 2.8.5

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://jenkins.io/security/advisory/2019-09-12/

CVE References

CVE-2019-10392